Gets an individual schedule

GET /schedule/{jobName}

Operation id: SchedulingService_GetSchedule

Tags: SchedulingService

Parameters

Path parameters

NameTypeRequiredDescription
jobNamestringYes

Query parameters

NameTypeRequiredDescription
tenantIdstringNo

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
scheduleProtoobjectNo
{
  "type": "object",
  "properties": {
    "scheduleProto": {
      "type": "object",
      "properties": {
        "tenantId": {
          "type": "string"
        },
        "jobName": {
          "type": "string"
        },
        "importType": {
          "type": "string",
          "description": "The type of data being imported.\n\n - LOCATIONS: The import file is forwarded directly to the zac-server locations API\nConstraints:\n  - template_name, deviation, and dry_run are all ignored.\n  - zac-server performs an upsert always, any errors in the file will fail the entire file",
          "enum": [
            "USERS",
            "ROLES",
            "WORKSPACES",
            "SITES",
            "DEPARTMENTS",
            "HIERARCHIES",
            "SITE_TEMPLATES",
            "PERMISSION_TEMPLATES",
            "GROUPS",
            "LOCATIONS"
          ],
          "default": "USERS"
        },
        "description": {
          "type": "string"
        },
        "emails": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "schedule": {
          "type": "object",
          "properties": {
            "type": {
              "type": "string",
              "enum": [
                "ONCE",
                "HOURLY",
                "DAILY",
                "WEEKLY",
                "MONTHLY"
              ],
              "default": "ONCE"
            },
            "date": {
              "type": "string",
              "format": "date-time"
            }
          }
        },
        "deviation": {
          "type": "integer",
          "format": "int32"
        },
        "templateName": {
          "type": "string"
        },
        "ignoreHeader": {
          "type": "boolean"
        },
        "replaceExisting": {
          "type": "boolean"
        },
        "fssId": {
          "type": "string"
        },
        "signedUrl": {
          "type": "string"
        },
        "sftpDetails": {
          "type": "object",
          "properties": {
            "host": {
              "type": "string"
            },
            "port": {
              "type": "integer",
              "format": "int32"
            },
            "directory": {
              "type": "string"
            },
            "fileName": {
              "type": "string"
            },
            "username": {
              "type": "string"
            },
            "password": {
              "type": "string"
            },
            "sshKey": {
              "type": "string"
            }
          }
        },
        "gcsDetails": {
          "type": "object",
          "description": "GCS Details are used for granting access to a GCS bucket for us to read the file from.",
          "properties": {
            "projectId": {
              "type": "string"
            },
            "bucketName": {
              "type": "string"
            },
            "keyFile": {
              "type": "string"
            },
            "fileName": {
              "type": "string"
            }
          }
        },
        "creationTime": {
          "type": "string",
          "format": "date-time"
        },
        "createdBy": {
          "type": "string"
        },
        "lastUpdatedTime": {
          "type": "string",
          "format": "date-time"
        },
        "lastUpdatedBy": {
          "type": "string"
        },
        "endDate": {
          "type": "string",
          "format": "date-time"
        },
        "status": {
          "type": "string",
          "enum": [
            "SUCCEEDED",
            "FAILED",
            "UNKNOWN"
          ],
          "default": "SUCCEEDED"
        },
        "errorMessage": {
          "type": "string"
        },
        "instanceId": {
          "type": "string"
        }
      }
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}